<script lang="ts">
import Vue from 'vue';
import TheSourceNavigation from '~/components/the-source/navigation.vue';
import ColoredLine from '~/components/common/colored-line.vue';
import TheSourceBanner from '~/components/the-source/banner.vue';
import SlpFooterHOC from '~/components/navigation/footer-hoc.vue';
import TheSourceNewsletter from '~/components/the-source/newsletter.vue';
import { LocalizedHrefMixin } from '~/mixins';
import { MetaInfo } from 'vue-meta/types/vue-meta';
import { generateLayoutMeta } from '~/common/meta';

export default Vue.extend({
  components: {
    TheSourceNewsletter,
    SlpFooterHOC,
    TheSourceBanner,
    ColoredLine,
    TheSourceNavigation,
  },
  mixins: [LocalizedHrefMixin],
  data() {
    return {
      coloredLine: [
        { color: '#FCA326', width: '20%' },
        { color: '#6FDAC9', width: '15%' },
        { color: '#E24329', width: '25%' },
        { color: '#A989F5', width: '20%' },
        { color: '#FCA326', width: '20%' },
      ],
    };
  },
  head(): MetaInfo {
    return generateLayoutMeta(this.$route.path, this.$i18n.locale);
  },
});
</script>

<template>
  <div id="the-source-layout">
    <ColoredLine :line-colors="coloredLine" />
    <TheSourceNavigation />
    <TheSourceBanner />
    <section ref="localizedContainer">
      <Nuxt role="main" />
    </section>
    <TheSourceNewsletter />
    <SlpFooterHOC />
  </div>
</template>

<style lang="scss" scoped>
#the-source-layout {
  @media (width <= $breakpoint-md - 1) {
    overflow: hidden;
  }
}
</style>
